#ifndef _TEXT_2D_H_
#define _TEXT_2D_H_

#include "Texture_Data.h"

class Text2D
{
private:
	Textures::Data::TextureData& mTextureData;
	unsigned int mVertexBufferId;
	unsigned int mUVBufferId;
	unsigned int mShaderId;
	unsigned int mUniformId;

public:
	Text2D();
	void Init();
	void Print(const char* aText, int aX, int aY, int aSize);
	void CleanUp();
};

#endif // Close _TEXT_2D_H_